Subject: bug#31623: 27.0; Elisp manual, index entry "; in comment"

From: Noam Postavsky <[email-masked]>
Date: Tue, 29 May 2018 19:32:23 -0400

Drew Adams <[email-masked]> writes:

> From the text of index entry "; in comment" I would expect a node that
> talks about the use of `;' inside a comment.  I cannot imagine what
> other sense someone might make of this index-entry text.
>
> But the target of the index entry, node `Comments', does not seem to
> say anything about a `;' character inside a comment.

As far as I can tell, it refers to this sentence:

      In Lisp, a semicolon (`;') starts a comment if it is not
    within a string or character constant.

So, if it is not "within a string or character constant" then the
semicolon is in a comment.